Bug 188125 - net/p5-Spread-Message : deprecate
Summary: net/p5-Spread-Message : deprecate
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Sunpoet Po-Chuan Hsieh
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-31 11:20 UTC by Rene Ladan
Modified: 2014-04-21 19:30 UTC (History)
0 users

See Also:


Attachments
file.diff (465 bytes, patch)
2014-03-31 11:20 UTC, Rene Ladan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rene Ladan freebsd_committer 2014-03-31 11:20:00 UTC
net/p5-Spread-Message depends on net/spread, which expired on 2014-03-10
Mark this port for removal on 2014-05-01

How-To-Repeat: Tools/scripts/rmport net/spread
Comment 1 Edwin Groothuis freebsd_committer 2014-03-31 11:20:05 UTC
Responsible Changed
From-To: freebsd-ports-bugs->perl

Over to maintainer (via the GNATS Auto Assign Tool)
Comment 2 Sunpoet Po-Chuan Hsieh freebsd_committer 2014-03-31 14:09:39 UTC
Responsible Changed
From-To: perl->sunpoet

I'll take it.
Comment 3 dfilter service freebsd_committer 2014-04-02 14:52:00 UTC
Author: sunpoet
Date: Wed Apr  2 13:51:56 2014
New Revision: 349920
URL: http://svnweb.freebsd.org/changeset/ports/349920
QAT: https://qat.redports.org/buildarchive/r349920/

Log:
  - Mark DEPRECATED and set EXPIRATION_DATE to 2014-05-01
  
  PR:		ports/188125
  Submitted by:	rene

Modified:
  head/net/p5-Spread-Message/Makefile

Modified: head/net/p5-Spread-Message/Makefile
==============================================================================
--- head/net/p5-Spread-Message/Makefile	Wed Apr  2 13:51:50 2014	(r349919)
+++ head/net/p5-Spread-Message/Makefile	Wed Apr  2 13:51:56 2014	(r349920)
@@ -14,6 +14,9 @@ COMMENT=	Provide messaging using the Spr
 BUILD_DEPENDS=	spread>=0:${PORTSDIR}/net/spread
 RUN_DEPENDS:=	${BUILD_DEPENDS}
 
+DEPRECATED=	Depends on expired net/spread
+EXPIRATION_DATE=2014-05-01
+
 USES=		perl5
 USE_PERL5=	configure
 
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 4 Sunpoet Po-Chuan Hsieh freebsd_committer 2014-04-02 14:53:09 UTC
State Changed
From-To: open->closed

Committed. Thanks!
Comment 5 Chris Hutchinson 2014-04-21 19:21:07 UTC
I believe I've created a patch(1) that eliminates the need to follow
through with this ports removal/depreciation.

Please see:

http://www.freebsd.org/cgi/query-pr.cgi?pr=188853

for details.

--Chris